Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_iseq_location_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | path
VALUE | absolute_path
VALUE | base_label
VALUE | label
size_t | first_lineno

## Detailed Description

Definition at line 186 of file vm_core.h.

## Field Documentation

VALUE rb_iseq_location_struct::absolute_path

Definition at line 188 of file vm_core.h.

Referenced by iseq_absolute_path(), iseq_data_to_ary(), iseq_location_setup(), iseq_mark(), and rb_current_realfilepath().

VALUE rb_iseq_location_struct::base_label

Definition at line 189 of file vm_core.h.

Referenced by iseq_base_label(), iseq_location_setup(), iseq_mark(), and prepare_iseq_build().

size_t rb_iseq_location_struct::first_lineno

Definition at line 191 of file vm_core.h.

Referenced by iseq_data_to_ary(), iseq_first_lineno(), iseq_location_setup(), rb_iseq_build_for_ruby2cext(), rb_iseq_compile_node(), and rb_iseq_first_lineno().

VALUE rb_iseq_location_struct::label

Definition at line 190 of file vm_core.h.

Referenced by argument_error(), control_frame_dump(), insn_operand_intern(), iseq_check(), iseq_compile_each(), iseq_data_to_ary(), iseq_free(), iseq_inspect(), iseq_label(), iseq_location_setup(), iseq_mark(), make_name_for_block(), oldbt_iter_iseq(), prepare_iseq_build(), rb_iseq_build_for_ruby2cext(), rb_iseq_compile_with_option(), and rb_thread_current_status().

VALUE rb_iseq_location_struct::path

Definition at line 187 of file vm_core.h.

Referenced by argument_error(), cleanup_iseq_build(), control_frame_dump(), fill_path_and_lineno(), iseq_build_from_ary_body(), iseq_data_to_ary(), iseq_free(), iseq_inspect(), iseq_location(), iseq_location_setup(), iseq_mark(), iseq_path(), iseq_set_sequence(), iseq_set_sequence_stackcaching(), oldbt_iter_iseq(), proc_binding(), proc_to_s(), rb_add_method(), rb_binding_new_with_cfp(), rb_iseq_build_for_ruby2cext(), rb_method_entry_make(), rb_sourcefile(), rb_sourcefilename(), rb_thread_current_status(), rb_vm_set_progname(), and when_vals().

The documentation for this struct was generated from the following file:

- vm_core.h